## com.google.appengine.api.capabilities
Class Capability

    java.lang.Object
      com.google.appengine.api.capabilities.Capability

    public class Capability

extends java.lang.Object

A capability represents a particular feature or set of features available on the App Engine platform. To check the availability of a particular capability, use the `CapabilitiesService` API.

Field Summary
`static Capability` `BLOBSTORE` Availability of BlobstoreService.
`static Capability` `DATASTORE` Availability of the datastore.
`static Capability` `DATASTORE_WRITE` Availability of datastore writes.
`static Capability` `IMAGES` Availability of the ImagesService.
`static Capability` `MAIL` Availability of theMailService.
`static Capability` `MEMCACHE` Availability ofMemcacheService.
`static Capability` `PROSPECTIVE_SEARCH` Availability of the ProspectiveSearchService.
`static Capability` `TASKQUEUE` Availability of TaskQueueService.
`static Capability` `URL_FETCH` Availability of the URLFetchService.
`static Capability` `XMPP` Availability of the XMPPService.

Constructor Summary
`Capability(java.lang.String packageName)` Creates a new instance of a Capability.
`Capability(java.lang.String packageName, java.lang.String name)` Creates a new instance of a Capability.

Method Summary
`java.lang.String` `getName()` Returns the name associated with this capability.
`java.lang.String` `getPackageName()` Returns the package name associated with this capability.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLOBSTORE

    public static final Capability BLOBSTORE

  Availability of BlobstoreService.

### DATASTORE

    public static final Capability DATASTORE

  Availability of the datastore.

### DATASTORE_WRITE

    public static final Capability DATASTORE_WRITE

  Availability of datastore writes.

### IMAGES

    public static final Capability IMAGES

  Availability of the ImagesService.

### MAIL

    public static final Capability MAIL

  Availability of theMailService.

### PROSPECTIVE_SEARCH

    public static final Capability PROSPECTIVE_SEARCH

  Availability of the ProspectiveSearchService.

### MEMCACHE

    public static final Capability MEMCACHE

  Availability ofMemcacheService.

### TASKQUEUE

    public static final Capability TASKQUEUE

  Availability of TaskQueueService.

### URL_FETCH

    public static final Capability URL_FETCH

  Availability of the URLFetchService.

### XMPP

    public static final Capability XMPP

  Availability of the XMPPService.

Constructor Detail

### Capability

    public Capability(java.lang.String packageName)

  Creates a new instance of a Capability.

  Parameters:
    `packageName` - name of the package associated with this capability.

### Capability

    public Capability(java.lang.String packageName,
                      java.lang.String name)

  Creates a new instance of a Capability.

  Parameters:
    `packageName` - name of the package associated with this capability.
    `name` - name of the capability.

Method Detail

### getPackageName

    public java.lang.String getPackageName()

  Returns the package name associated with this capability.

  Returns:
    the package name associated with this capability.

### getName

    public java.lang.String getName()

  Returns the name associated with this capability.

  Returns:
    the name associated with this capability.